#ifndef LEADSCHEME_H
#define LEADSCHEME_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "navlistwidget.h"
#include "MoveButton.h"
#include <QList>
#include <QLineEdit>
#include "operatorjson.h"
#include <QApplication>
class LeadScheme:public QWidget
{
    Q_OBJECT
public:
    LeadScheme(QWidget * parent = NULL);
    virtual  ~LeadScheme();

    void init();
    bool initconnect();
    void initLay();

private slots:
    void  slotSave();
    void  slotNew();
    void  slotDelete();
private:
    QPushButton    m_btnNew;
    QPushButton    m_btndelete;
    QPushButton    m_btnCancel;
    QPushButton    m_btnOK;

    QList<MoveButton*> m_listMoveBtns;
    QLineEdit      m_editShecName;
};
#endif // LEADSCHEME_H
